Loading...
Searching...
No Matches
BALL::TreeWidthImplementation< UndirectedGraph >::QuickBB< Lowerbound, Upperbound >::QuickBBState Struct Reference

`#include <BALL/DATATYPE/GRAPH/treeWidth.h>`

## Public Attributes

unsigned int | g
unsigned int | h
unsigned int | f
std::vector< Size > | permutation

## Detailed Description

template<class UndirectedGraph>
template<class Lowerbound = MinorMinWidth, class Upperbound = GreedyX<FillInHeuristic>>
struct BALL::TreeWidthImplementation< UndirectedGraph >::QuickBB< Lowerbound, Upperbound >::QuickBBState

a single vertex in the search-tree

Definition at line 347 of file treeWidth.h.

## Member Data Documentation

## f

template<class UndirectedGraph>
template<class Lowerbound = MinorMinWidth, class Upperbound = GreedyX<FillInHeuristic>>

unsigned int BALL::TreeWidthImplementation< UndirectedGraph >::QuickBB< Lowerbound, Upperbound >::QuickBBState::f

best lowerbound for this state

Definition at line 362 of file treeWidth.h.

## g

template<class UndirectedGraph>
template<class Lowerbound = MinorMinWidth, class Upperbound = GreedyX<FillInHeuristic>>

unsigned int BALL::TreeWidthImplementation< UndirectedGraph >::QuickBB< Lowerbound, Upperbound >::QuickBBState::g

width of the permutation along the path from the root

Definition at line 352 of file treeWidth.h.

## h

template<class UndirectedGraph>
template<class Lowerbound = MinorMinWidth, class Upperbound = GreedyX<FillInHeuristic>>

unsigned int BALL::TreeWidthImplementation< UndirectedGraph >::QuickBB< Lowerbound, Upperbound >::QuickBBState::h

lowerbound of g

Definition at line 357 of file treeWidth.h.

## permutation

template<class UndirectedGraph>
template<class Lowerbound = MinorMinWidth, class Upperbound = GreedyX<FillInHeuristic>>

std::vector<Size> BALL::TreeWidthImplementation< UndirectedGraph >::QuickBB< Lowerbound, Upperbound >::QuickBBState::permutation

current elimination order

Definition at line 367 of file treeWidth.h.